%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define oname		gtksourceview

%define api_version	4
%define lib_major	0
%define gir_major	4

%define libname		%mklibname %{oname} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{oname} %{api_version}
%define girname		%mklibname %{oname}-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview%{api_version}
Version:        4.8.4
Release:	%mkrel 3
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	https://download.gnome.org/sources/gtksourceview/%{url_ver}/gtksourceview-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/gtksourceview/-/commit/2538a4daf1aba9c42c3dcfe2ff394874ac157c67
# https://gitlab.gnome.org/GNOME/gtksourceview/-/issues/278
# Fix some regexes to work with pcre2
Patch0:         0001-language-specs-use-N-U-escape-sequences.patch
Patch10:	gtksourceview-4.8.4-mga-rpmspec.patch
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.0
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gettext
Obsoletes:	%{oname} < 4.8.4-2

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:	Libraries and include files for GtkSourceView
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}

%description -n %{libnamedev}
GtkSourceView development files.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package        tests
Summary:        Tests for the %{name} package
Group:          Development/Tools
Requires:       gtksourceview%{api_version}%{?_isa} = %{version}-%{release}
Obsoletes:      gtksourceview-tests < 4.8.4-2

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
%meson -Dgtk_doc=true -Dglade_catalog=true -Dinstall_tests=true
%meson_build

%install
%meson_install

%find_lang %{oname}-%{api_version}

%files -f %{oname}-%{api_version}.lang
%doc AUTHORS NEWS README.md
%{_datadir}/gtksourceview-%{api_version}/

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/gtksourceview-%{api_version}.0
%{_libdir}/libgtksourceview-%{api_version}.so
%{_includedir}/gtksourceview-%{api_version}/
%{_libdir}/pkgconfig/gtksourceview-%{api_version}.pc
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir
%{_datadir}/glade/catalogs/gtksourceview.xml
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.deps
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.vapi

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/gtksourceview-4/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/gtksourceview-4/


%changelog
* Thu Dec 26 2024 wally <wally> 4.8.4-3.mga10
+ Revision: 2130225
- obsolete old tests pkg

* Thu Dec 26 2024 wally <wally> 4.8.4-2.mga10
+ Revision: 2130217
- rename as gtksourceview4
- update rpmspec patch to recognize new rpm sections

* Tue Nov 22 2022 tv <tv> 4.8.4-1.mga9
+ Revision: 1910313
- Update to 4.8.4

* Mon Sep 19 2022 tv <tv> 4.8.3-2.mga9
+ Revision: 1890244
- Backport fix from main branch for regexes with pcre2

* Sat Mar 19 2022 tv <tv> 4.8.3-1.mga9
+ Revision: 1801527
- Update to 4.8.3
+ wally <wally>
- drop old obsoletes and conflicts

* Fri Sep 03 2021 ovitters <ovitters> 4.8.2-1.mga9
+ Revision: 1744257
- new version 4.8.2

* Tue Mar 02 2021 ovitters <ovitters> 4.8.1-1.mga9
+ Revision: 1696396
- new version 4.8.1

* Sat Sep 12 2020 ovitters <ovitters> 4.8.0-1.mga8
+ Revision: 1625360
- new version 4.8.0

* Sat Aug 08 2020 ovitters <ovitters> 4.7.90-1.mga8
+ Revision: 1612024
- new version 4.7.90

* Sat Jun 27 2020 ovitters <ovitters> 4.6.1-1.mga8
+ Revision: 1599427
- new version 4.6.1

* Sat Mar 07 2020 ovitters <ovitters> 4.6.0-1.mga8
+ Revision: 1554527
- new version 4.6.0

* Mon Feb 17 2020 ovitters <ovitters> 4.5.91-1.mga8
+ Revision: 1537132
- new version 4.5.91

* Sun Feb 16 2020 umeabot <umeabot> 4.4.0-2.mga8
+ Revision: 1531131
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 ovitters <ovitters> 4.4.0-1.mga8
+ Revision: 1439195
- new version 4.4.0

* Wed Sep 04 2019 ovitters <ovitters> 4.3.92-1.mga8
+ Revision: 1437366
- new version 4.3.92

* Sat Aug 10 2019 tv <tv> 4.3.1-1.mga8
+ Revision: 1428644
- new release

* Sat Mar 16 2019 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1377914
- new version 4.2.0

* Wed Sep 05 2018 ovitters <ovitters> 4.0.3-1.mga7
+ Revision: 1257378
- new version 4.0.3

* Sun Jun 17 2018 ovitters <ovitters> 4.0.2-1.mga7
+ Revision: 1237411
- new version 4.0.2

* Mon Apr 30 2018 wally <wally> 4.0.0-1.mga7
+ Revision: 1223910
- new version 4.0.0
- new api 4
- new major 0

* Wed Mar 14 2018 ovitters <ovitters> 3.24.7-1.mga7
+ Revision: 1209375
- new version 3.24.7

* Tue Feb 06 2018 ovitters <ovitters> 3.24.6-2.mga7
+ Revision: 1199370
- enable vala

* Sat Dec 09 2017 ovitters <ovitters> 3.24.6-1.mga7
+ Revision: 1181809
- new version 3.24.6

* Sun Oct 01 2017 ovitters <ovitters> 3.24.5-1.mga7
+ Revision: 1162183
- new version 3.24.5

* Wed Sep 06 2017 ovitters <ovitters> 3.24.4-1.mga7
+ Revision: 1151656
- new version 3.24.4

* Mon Jul 17 2017 ovitters <ovitters> 3.24.3-1.mga7
+ Revision: 1124604
- new version 3.24.3

* Sun May 21 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1103882
- new version 3.24.2

* Sun Apr 09 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096181
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094066
- new version 3.24.0

* Sun Nov 27 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1070386
- new version 3.22.2

* Sun Nov 06 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065518
- new version 3.22.1

* Sun Sep 18 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1053759
- new version 3.22.0

* Mon Jun 27 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1037918
- new version 3.20.4

* Sun May 08 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1010932
- new version 3.20.3

* Sat Apr 23 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1005603
- new version 3.20.2

* Wed Mar 30 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 996805
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993172
- new version 3.20.0

* Tue Jan 19 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925941
- new version 3.19.4

* Sat Jan 16 2016 wally <wally> 3.19.3-3.mga6
+ Revision: 924416
- use configure2_5x macro for now to fix build

* Sun Dec 20 2015 tarakbumba <tarakbumba> 3.19.3-2.mga6
+ Revision: 912426
- Add mageia macros to rpmspec.lang

* Tue Dec 08 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 908828
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905119
- new version 3.19.2

* Sun Oct 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889478
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882628
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.7-1.mga6
+ Revision: 879320
- new version 3.17.7

* Sun Aug 30 2015 ovitters <ovitters> 3.17.6-1.mga6
+ Revision: 871288
- new version 3.17.6

* Sun Aug 16 2015 ovitters <ovitters> 3.17.5-1.mga6
+ Revision: 865168
- new version 3.17.5

* Mon Jul 20 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 855666
- new version 3.17.4

* Mon Jun 29 2015 wally <wally> 3.17.3-2.mga6
+ Revision: 847485
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 839764
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838294
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836363
- new version 3.14.4

* Wed Jan 07 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 809005
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796322
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 747202
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738328
- new version 3.14.1

* Fri Sep 26 2014 wally <wally> 3.14.0-2.mga5
+ Revision: 724900
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719230
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-3.mga5
+ Revision: 686704
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 676939
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665188
- new version 3.13.90

* Tue Aug 12 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 661974
- new version 3.13.3

* Mon Jul 21 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 655168
- new version 3.13.2

* Mon Jun 23 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 639069
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622165
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614154
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607902
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 604525
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593918
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.4-1.mga5
+ Revision: 584403
- new version 3.11.4

* Wed Feb 05 2014 ovitters <ovitters> 3.11.3-1.mga5
+ Revision: 582838
- new version 3.11.3

* Tue Feb 04 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 582478
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542317
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497383
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484400
- new version 3.10.0

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480392
- new version 3.9.92

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474495
- new version 3.9.91

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467914
- new version 3.9.90

* Mon Jul 29 2013 ovitters <ovitters> 3.9.4-1.mga4
+ Revision: 460510
- new version 3.9.4

* Fri Jul 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 458213
- new version 3.9.3

* Tue Jul 09 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 452243
- new version 3.8.2

* Fri May 24 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 426379
- update lib_major
- new version 3.8.1

* Sat Jan 26 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 392435
- new version 3.6.3

* Tue Jan 22 2013 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 391129
- new version 3.6.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 316326
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297234
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 295632
- new version 3.5.4

* Mon Aug 20 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 282723
- new version 3.5.3

* Sun Jul 29 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 275762
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235699
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231056
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226791
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 224542
- new version 3.3.5

* Tue Feb 21 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 211317
- new version 3.3.4

* Tue Feb 14 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 208868
- clean spec

* Mon Feb 06 2012 fwang <fwang> 3.3.3-1.mga2
+ Revision: 205460
- new version 3.3.3

* Sun Jan 08 2012 wally <wally> 3.3.2-1.mga2
+ Revision: 193304
- new version 3.3.2

* Sun Dec 18 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 183485
- new version 3.3.1

* Tue Nov 01 2011 wally <wally> 3.2.3-1.mga2
+ Revision: 161068
- new version 3.2.3

* Sun Oct 16 2011 fwang <fwang> 3.2.2-1.mga2
+ Revision: 155495
- new version 3.2.2

* Sun Oct 09 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 153559
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148935
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.6-1.mga2
+ Revision: 145668
- new version 3.1.6

* Sun Sep 18 2011 fwang <fwang> 3.1.5-2.mga2
+ Revision: 145115
- drop .la files

* Tue Sep 06 2011 wally <wally> 3.1.5-1.mga2
+ Revision: 139611
- new version 3.1.5
- fix libnames
- new version 3.1.4

* Sun Jul 10 2011 wally <wally> 3.1.3-2.mga2
+ Revision: 121708
- add a subpackage for gir .typelib

* Sun Jul 10 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 121659
- new version 3.1.3

* Thu Jul 07 2011 fwang <fwang> 3.0.4-2.mga2
+ Revision: 119642
- rebuild for new typelib provides in rpm

* Tue Jun 21 2011 pterjan <pterjan> 3.0.4-1.mga2
+ Revision: 110893
- Update to 3.0.4

* Sun Jan 16 2011 pterjan <pterjan> 2.10.5-1.mga1
+ Revision: 20571
- Drop obsolete stuff
- imported package gtksourceview

